Subject: bug#3252: 23.0.93; extremely slow to open file on windows network drive

From: Chris Withers <[email-masked]>
Date: Mon, 11 May 2009 19:28:21 +0100

Eli Zaretskii wrote:
>>>>> Finally, does "C-x d" of the same directory take the same time as
>>>>> drag-n-drop?
>>>> No, the one file I tried took over a minute before I got bored of counting.
>>> Sorry, I don't understand: is "C-x d" faster or slower than
>>> drag-n-drop?
>> Slower.
> 
> Ah, now I get it: you need to wait 11 seconds for visiting
> _a_single_file_ in that directory, is that right?

No, the 11 seconds is for dragging and dropping a single file from 
Windows Explorer into Emacs.

For a single file in that directory using C-x d, I waited for over a 
minute and then gave up counting. The file did eventually open some time 
later...

> Try in 'emacs -Q".  After invoking "emacs -Q", manually set
> `vc-handled-backends' to nil, and then drag-n-drop that file.
> 
> And trying this in "emacs -Q" is a good idea anyway, since the source
> of the slowdown may be in your ~/.emacs.

My .emacs is pretty sparse nowadays ;-)

What does emacs -Q mean? How do I do this on Windows? runemacs.exe -Q in 
a DOS box or something else?

cheers,

Chris

-- 
Simplistix - Content Management, Zope & Python Consulting
            - http://www.simplistix.co.uk